PUT Application/PutContacts
Request Information
URI Parameters
None.
Body Parameters
Collection of Contact| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| FirstName | string |
Required |
|
| LastName | string |
Required |
|
| Name | string |
None. |
|
| CellNumber | string |
None. |
|
| WorkNumber | string |
None. |
|
| HomeNumber | string |
None. |
|
| string |
None. |
||
| PhysicalAddress | string |
None. |
|
| PostalAddress | string |
None. |
|
| Birthday | date |
None. |
|
| GenderID | Gender |
None. |
|
| ContactStatusID | ContactStatus |
Required |
|
| PhotoID | globally unique identifier |
None. |
|
| ExternalCode | string |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| IDNumber | string |
None. |
|
| PassportNumber | string |
None. |
|
| DisplayName | string |
None. |
|
| UseDisplayName | boolean |
Required |
|
| OptOutNotification | boolean |
Required |
|
| CreatedByContactID | globally unique identifier |
Required |
|
| ModifiedByContactID | globally unique identifier |
Required |
|
| CreatedDate | date |
Required |
|
| ModifiedDate | date |
Required |
Request Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": "e592314a-4d1f-410c-b7de-8f46e1479c15",
"firstName": "sample string 2",
"lastName": "sample string 3",
"name": "sample string 4",
"cellNumber": "sample string 5",
"workNumber": "sample string 6",
"homeNumber": "sample string 7",
"email": "sample string 8",
"physicalAddress": "sample string 9",
"postalAddress": "sample string 10",
"birthday": "2026-06-12T23:01:15.0338301+00:00",
"genderID": 1,
"contactStatusID": 1,
"photoID": "943e47f1-f128-4ca1-898d-e38ebd50c627",
"externalCode": "sample string 11",
"latitude": 1.1,
"longitude": 1.1,
"idNumber": "sample string 12",
"passportNumber": "sample string 13",
"displayName": "sample string 14",
"useDisplayName": true,
"optOutNotification": true,
"createdByContactID": "ad150279-ad9e-418b-8782-e231ffeea703",
"modifiedByContactID": "708560e7-610e-4f4f-9fce-64deecbacbe3",
"createdDate": "2026-06-12T23:01:15.0338301+00:00",
"modifiedDate": "2026-06-12T23:01:15.0338301+00:00"
},
{
"$ref": "1"
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.